Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: VMware  (Przeczytany 896 razy)

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
VMware
« dnia: Grudzień 30, 2020, 07:14:38 pm »
Mam problem z programem VMware do virtualizacji w Sparkylinux 5.13 Buster pulpit LXQT zainstalował się poprawnie ale nie chce się uruchomić  . Mam ten system na starym komputerze i na nowszym na maszynie virualnej . Na starym komputerze nie odpala mimo że nie zgłaszał błędów a na virtalnej maszynie chce żebym zainstalował kernel Headeres 4.19.0-13-amd 64 ale nie mam pojęcia gdzie , do katalogu boot nie chce zainstalować. Prosił bym o podpowiedz rozwiązania problemu .

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #1 dnia: Grudzień 30, 2020, 07:43:57 pm »
Uruchom Synaptic -> odśwież listę pakietów; wyszukaj linux-headers i zainstaluj taką samą wersję jaką masz linux-image
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #2 dnia: Grudzień 30, 2020, 09:54:37 pm »
Dziękuje za pomoc na Virtualboxie Sparkylinux odpalił VMware  , ale jk zmusić do tego samego Sparkylinux na starym kompie jest to moja główna maszyna do testowania linuxa
 

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #3 dnia: Grudzień 30, 2020, 10:38:50 pm »
Czy ta stara maszyna jest z procesorem 32 czy 64bit? Sparky 32 czy 64 bit? VMware działa tylko na 64bit.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #4 dnia: Grudzień 31, 2020, 02:01:44 pm »
Stary komp to Intelcore 2 duo E 8200@2.66GHz. grafika to nvidia GTX 550 Ti  64 bit Sparky też 64 bit

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #5 dnia: Grudzień 31, 2020, 04:06:17 pm »
Na starego kompa sugeruję w pierwszej kolejności wypróbować VMware 12.
Wersje 12, 15 i 16 można zainstalować za pomocą APTus-> System-> VMware Installer.
Jeśli VMware nie uruchomi się z menu, to spróbuj z konsoli, poleceniem:
vmplayeri podaj wynik błędu.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #6 dnia: Grudzień 31, 2020, 06:44:09 pm »
Postawiłem jeszcze raz system Sparky na starym kompie zainstalowałem VMware pomyślnie i wyskoczył mi komunikat : Tytuł VMware Kernel Module Updater poniżej tekst: Before you can run VMware ,several modules must be compiled and loaded into the running kernel. GCC
GNU C Compiler (gcc) version 8.3.0 was not found. If you installed it in a non-default path you can specify the path below. Otherwise refer to you distribution's documentation for installation instructors and click Refresh to search again in default locations. Pod spodem: location- kratka ,browse...
Przycisk , Refresh- przycisk , Anulu- przycisk , install - przycisk . Przepraszam za ewentualne literówki , oczywiście tekstu nie można skopiować.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #7 dnia: Grudzień 31, 2020, 07:08:21 pm »
VMware musi skompilować moduł jądra do poprawnego działania i wymaga GCC 8.3.0 który dostępny jest w wersji stabilnej.
Czy teraz zainstalowałeś inną wersję Sparky niż stabilną z linii 5 ?
Wynik polecenia może to wyjaśnić:
cat /etc/os-release
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #8 dnia: Grudzień 31, 2020, 07:33:13 pm »
Mam wersję stabilą Buster 5,13

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #9 dnia: Styczeń 02, 2021, 03:17:47 pm »
Zobaczyłem w Synapticu co mam zainstalowane : gcc-8.3.0-6 i gcc-8-base-8.3.0-6 . Iprzy uruchomieniu z konsoli wyskakuje :Logging to /tmp/vmware-maciej/vmware-modconfig-2176.log ii wyświetla się ramka z tekstem po angielsku  którą przepisałem w poście wcześniejszym

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #10 dnia: Styczeń 02, 2021, 04:58:39 pm »
Po ponownym zainstalowaniu Sparky:
1. czy doinstalowałeś 'linux-headers' ?
2. Sprawdź jaką wersję GCC system domyślnie używa, poleceniem:
gcc -v3. Kompilator GCC w wersji stabilnej jest właściwy: 8.3.0, więc błąd jest niezrozumiały. Spróbuj wskazać gcc z katalogu /usr/bin:
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #11 dnia: Styczeń 03, 2021, 03:08:49 pm »
Wstyd się przyznać ale popełniłem czeski błąd to znaczy zainstalowałem system Sparky 5.13 buster 32_bity a opisałem plytę instalacyjną jako 64_bity , pobrałem system 64_bitowy Sparky 5.13_Buster i ponownie go zainstalowałem  zainstalowałem VMware w wersji 12 ale nie odpalił to spróbowałem z konsoli i mam taki rezultat: $ vmplayer
/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1748
  • Reputacja: 5
Odp: VMware
« Odpowiedź #12 dnia: Styczeń 04, 2021, 12:07:20 am »
W takim przypadku odinstaluj VMware 12 i spróbuj zainstalować 15.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #13 dnia: Styczeń 04, 2021, 10:48:40 pm »
Oczywiście zainstalowałem 15 ale normalnie nie odpalił  ale z konsoli odpalił nakładka graficzna opaliła więc postanowiłem zainstalować WIN Viste 64 bit i problem chcąc zinstalowac program znika z pulpitu . Ponieważ odpaliłem z konsoli to przesyłam to przesyłam to co się wyświetliło :pc:~$ vmplayer
[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.
[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.
I/O warning : failed to load external entity "/etc/vmware/hostd/proxy.xml"
[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.

(vmplayer:5571): Gtk-WARNING **: 22:13:37.426: Inserting action group 'Base' into UI manager which already has a group with this name

(vmplayer:5571): Gtk-WARNING **: 22:13:37.427: Inserting action group 'WindowActions' into UI manager which already has a group with this name

(vmplayer:5571): Gtk-CRITICAL **: 22:13:37.498: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(vmplayer:5571): Gtk-CRITICAL **: 22:13:37.498: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(vmplayer:5571): Gtk-CRITICAL **: 22:17:47.312: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(vmplayer:5571): Gtk-CRITICAL **: 22:17:47.312: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(vmplayer:5571): Gtk-WARNING **: 22:17:47.544: removable-device-0: missing action removable-device-0

(vmplayer:5571): Gtk-WARNING **: 22:17:47.544: removable-device-1: missing action removable-device-1
(vmplayer:5571): Gtk-WARNING **: 22:17:47.544: removable-device-2: missing action removable-device-2

(vmplayer:5571): Gtk-WARNING **: 22:17:47.544: removable-device-3: missing action removable-device-3

(vmplayer:5571): Gtk-WARNING **: 22:17:47.544: removable-device-4: missing action removable-device-4

(vmplayer:5571): Gtk-WARNING **: 22:17:47.545: removable-device-0storage1: missing action removable-device-0storage1

(vmplayer:5571): Gtk-WARNING **: 22:17:47.545: removable-device-0storage2: missing action removable-device-0storage2

(vmplayer:5571): Gtk-WARNING **: 22:17:47.545: removable-device-0-choose-image: missing action removable-device-0-choose-image

(vmplayer:5571): Gtk-WARNING **: 22:17:47.545: removable-device-0-edit: missing action removable-device-0-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-1-choose-image: missing action removable-device-1-choose-image

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-1-edit: missing action removable-device-1-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-2-connect: missing action removable-device-2-connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-2-nic-bridged: missing action removable-device-2-nic-bridged

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-2-nic-nat: missing action removable-device-2-nic-nat

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-2-nic-host-only: missing action removable-device-2-nic-host-only

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-2-edit: missing action removable-device-2-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-3connect: missing action removable-device-3connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-3-edit: missing action removable-device-3-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-4connect: missing action removable-device-4connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.546: removable-device-4-edit: missing action removable-device-4-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.549: removable-device-0: missing action removable-device-0

(vmplayer:5571): Gtk-WARNING **: 22:17:47.549: removable-device-1: missing action removable-device-1

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2: missing action removable-device-2

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-3: missing action removable-device-3

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-4: missing action removable-device-4

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-0storage1: missing action removable-device-0storage1

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-0storage2: missing action removable-device-0storage2

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-0-choose-image: missing action removable-device-0-choose-image

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-0-edit: missing action removable-device-0-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-1-choose-image: missing action removable-device-1-choose-image

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-1-edit: missing action removable-device-1-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2-connect: missing action removable-device-2-connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2-nic-bridged: missing action removable-device-2-nic-bridged

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2-nic-nat: missing action removable-device-2-nic-nat

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2-nic-host-only: missing action removable-device-2-nic-host-only

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-2-edit: missing action removable-device-2-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-3connect: missing action removable-device-3connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-3-edit: missing action removable-device-3-edit

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-4connect: missing action removable-device-4connect

(vmplayer:5571): Gtk-WARNING **: 22:17:47.550: removable-device-4-edit: missing action removable-device-4-edit
I po ostatniej linijce vmplayer znikną z ekranu nie daje się uruchomić normalnie tylko z terminalu i wyskakuje ten tekst:
pc:~$ vmplayer
[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.
[AppLoader] Use shipped Linux kernel AIO access library.
An up-to-date "libaio" or "libaio1" package from your system is preferred.
I/O warning : failed to load external entity "/etc/vmware/hostd/proxy.xml"

(vmplayer:5998): Gtk-WARNING **: 22:45:47.856: Inserting action group 'Base' into UI manager which already has a group with this name

(vmplayer:5998): Gtk-WARNING **: 22:45:47.856: Inserting action group 'WindowActions' into UI manager which already has a group with this name

Offline Xmen

  • Newbie
  • *
  • Wiadomości: 10
  • Reputacja: 0
Odp: VMware
« Odpowiedź #14 dnia: Styczeń 12, 2021, 10:26:21 pm »
I/O warning : failed to load external entity "/etc/vmware/hostd/proxy.xml" nie wiem czy to ważne ale w katalogu /etc/vmware nie ma hostd/proxy.xml